Delete cart - Fabric
Delete cart
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/carts/{cartId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/carts/{cartId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/carts/{cartId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Error Responses
400 Bad Request
{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}
404 Not Found
{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}
Authorizations
Authorization: string, required
- This is the authorization token used to authenticate the request. You must pass the access token generated from the system app. For more information, see the Making your first API request section.
x-fabric-tenant-id: string, required
- A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id, which is also called account id, from Copilot. This header is required.
Example:
`"617329dfd5288b0011332311"`
- x-fabric-request-id: string
- Unique request ID for tracking.
Example:
"263e731c-45c8-11ed-b878-0242ac120002"
- x-fabric-channel-id: string
- Identifies the sales channel through which the API request is being made; primarily for multichannel use cases. It is a required field. The default US channel is 12 while the default Canada channel is 11.
Example:
"12"
Path Parameters
- cartId: string, required
- The 24-character system-generated Cart ID. This ID is generated using the Create cart endpoint.
Response
204 No Content: Was this page helpful? YesNo